- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations/downloadDependency#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations/downloadDependency#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations/downloadDependency#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations/downloadDependency#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations/downloadDependency#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations/downloadDependency#body.ExportDependencyResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations/downloadDependency#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations/downloadDependency#body.aspect_1)

**Full name**: projects.locations.instances.integrations.downloadDependency

Initiates the download of a Python dependency (e.g., a library from PyPI) for a custom integration. After downloading, the integration must be updated for the dependency to be available during execution.

### HTTP request

`POST https://{endpoint}/v1beta/{name}:downloadDependency`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The unique name of the integration. Format: projects/{project}/locations/{location}/instances/{instance}/integrations/{integration} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "dependency": string } ``` |

| Fields ||
|---|---|
| `dependency` | `string` Required. The dependency name to download. It can contain the version or the repository. |

### Response body

Response message for downloading a Python dependency to be used by a specific integration.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "error": string, "successful": boolean } ``` |

| Fields ||
|---|---|
| `error` | `string` Optional. An error message in case of an error. |
| `successful` | `boolean` Required. True if the installation was successful. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.integrations.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).